package kz.arta.synergy.workflow.mobile.android.works.models;

/**
 * Created by neox on 19.08.14.
 * Описание экрана завершения работы (согласование/утверждение/ознакомление)
 */

public class ScreenFinishInfoItem {

    /**
     * Включена ли настройка для текущего процесса "Подписывать"
     */
    private String demandSign;

    /**
     * UUID работы
     */
    private String actionID;

    /**
     * Нужно ли вводить комментарий
     */
    private String need_comment_input;

    /**
     * Нужно ли вводить комментарий при подтверждении
     */
    private String need_enter_positive_comment;

    /**
     * Нужно ли вводить комментарий при отклонении
     */
    private String need_enter_negative_comment;

    /**
     * raw_data
     */
    private String raw_data;

    /**
     * Список кнопок
     */
    private Buttons[] buttons;

    /**
     * WTF?
     */
    private String buttonsString;

    public String getDemandSign() {
        return demandSign;
    }

    public String getActionID() {
        return actionID;
    }

    public void setActionID(String actionID) {
        this.actionID = actionID;
    }

    public String getNeed_comment_input() {
        return need_comment_input;
    }

    public void setNeed_comment_input(String need_comment_input) {
        this.need_comment_input = need_comment_input;
    }

    public String getNeed_enter_positive_comment() {
        return need_enter_positive_comment;
    }

    public void setNeed_enter_positive_comment(String need_enter_positive_comment) {
        this.need_enter_positive_comment = need_enter_positive_comment;
    }

    public String getNeed_enter_negative_comment() {
        return need_enter_negative_comment;
    }

    public void setNeed_enter_negative_comment(String need_enter_negative_comment) {
        this.need_enter_negative_comment = need_enter_negative_comment;
    }

    public String getRaw_data() {
        return raw_data;
    }

    public void setRaw_data(String raw_data) {
        this.raw_data = raw_data;
    }

    public Buttons[] getButtons() {
        return buttons;
    }

    public void setButtons(Buttons[] buttons) {
        this.buttons = buttons;
    }

    public String getButtonsString() {
        return buttonsString;
    }

    public void setButtonsString(String buttonsString) {
        this.buttonsString = buttonsString;
    }

    public class Buttons {

        /**
         * Заголовок кнопки
         */
        private String label;

        /**
         * Тип операции
         */
        private String signal;

        /**
         * Цвет
         */
        private String color;

        public String getLabel() {
            return label;
        }

        public void setLabel(String label) {
            this.label = label;
        }

        public String getSignal() {
            return signal;
        }

        public void setSignal(String signal) {
            this.signal = signal;
        }

        public String getColor() {
            return color;
        }

        public void setColor(String color) {
            this.color = color;
        }
    }
}

